LDCONFIG(8)

NOM
ldconfig - Configuration de l'éditeur de liens dynamique

SYNOPSIS
/sbin/ldconfig [ -nNvXV ] [ -f configuration ] [ -C cache ] [ -r racine ] répertoire ...
/sbin/ldconfig -l [ -v ] bibliothèque ...
/sbin/ldconfig -p

DESCRIPTION
ldconfig crée les liens nécessaires et met en cache les bibliothèques partagées les plus récentes trouvées dans les répertoires indiqués sur la ligne de commande, dans le fichier /etc/ld.so.conf et dans les répertoires sûrs (/lib et /usr/lib). Le cache est utilisé par le chargeur / éditeur de liens, ld.so ou ld-linux.so. ldconfig vérifie les en-têtes et noms des fichiers des bibliothèques qu'il trouve pour déterminer les versions et mettre à jour les liens. ldconfig ignore les liens symboliques lorsqu'il analyse les bibliothèques.

ldconfig essaye de déduire le type bibliothèque ELF (libc5 ou libc6/glibc) en se basant sur la bibliothèque C utilisée pour les liens de la bibliothèque.

Certaines bibliothèques existantes ne contiennent pas assez d'informations pour déduire leur type. Ainsi, le format du fichier /etc/ld.so.conf permet d'indiquer le type attendu. Cela ne doit servir que pour les bibliothèques ELF qui ne fonctionnent pas sinon. Le format est « répertoire=TYPE », où TYPE peut être libc4, libc5 ou libc6. (Cette syntaxe fonctionne aussi sur la ligne de commande). Les espaces ne sont pas autorisés. Consultez aussi l'option -p. ldconfig devrait normalement être exécuté par le superutilisateur, car des permissions en écriture sont nécessaires sur des répertoires et des fichiers qui lui appartiennent.

OPTIONS

-v  Mode volubile. Affiche le numéro de version actuelle, le nom de chaque répertoire au fur et à mesure du parcours, et les liens qui sont créés. Peut surcharger le mode silencieux.

-n  Ne traiter que les répertoires indiqués sur la ligne de commande. Ne pas s'occuper des répertoires sûrs (/lib et /usr/lib) ni de ceux indiqués dans /etc/ld.so.conf. Implique l'option -N.

-N  Ne pas reconstruire le cache. Si l'option -X n'est pas indiquée, les liens sont quand même mis à jour.

-X  Ne pas mettre à jour les liens. Si l'option -N n'est pas indiquée, le cache est quand même reconstruit.

-f configuration
    Utiliser le fichier de configuration indiqué plutôt que /etc/ld.so.conf.

-C cache
    Utiliser le cache indiqué plutôt que /etc/ld.so.cache.

-r racine
    Se déplacer vers, et utiliser le répertoire racine indiqué.

-l  Mode bibliothèque. Lier manuellement les bibliothèques individuelles. Destiné seulement aux experts.

-p  Afficher la liste des répertoires et des bibliothèques potentielles enregistrés dans le cache actuel.

FICHIERS
/lib/ld.so
    chargeur/éditeur de liens dynamiques
/etc/ld.so.conf
    Fichier contenant une liste de répertoires où chercher les bibliothèques, séparés par des deux-points, espaces, tabulations, nouvelles lignes ou des virgules.
/etc/ld.so.cache
    Fichier contenant une liste ordonnée des bibliothèques trouvées dans les répertoires indiqués dans /etc/ld.so.conf, ainsi que celles trouvées dans /lib et /usr/lib.

VOIR AUSSI
ldd(1), ld.so(8)

COLOPHON
Cette page fait partie de la publication 3.70 du projet man-pages Linux. Une description du projet et des instructions pour signaler des anomalies peuvent être trouvées à l'adresse http://www.kernel.org/doc/man-pages/.

TRADUCTION
Depuis 2010, cette traduction est maintenue à l'aide de l'outil po4a <http://po4a.alioth.debian.org/> par l'équipe de traduction francophone au sein du projet perkamon <http://perkamon.alioth.debian.org/>.

Christophe Blaess <http://www.blaess.fr/christophe/> (2003-2008).

Veuillez signaler toute erreur de traduction en écrivant à <perkamon-fr@traduc.org>.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « LC_ALL=C man <section> <page_de_man> ».